local _, core = ...;
core.DBcampaign = {};
core.Loadcampaign = {};

local function loadCampaign()
core.DBcampaign = {
	[1] = { id = 1,
		title = core.L["Xin le maître d'armes"],
		icon = "Interface/AddOns/WoWChallenger/images/campaign/design_campaign/icon_zone1",
		bgCampaign = "Interface/AddOns/WoWChallenger/images/campaign/design_campaign/bgCampaign1",
		fights = {
			{
				id = 1,
				x = 260,
				y = 150,
				mobs = {0,0,1,0,0},
				boss = false,
				entrySound = "26944",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_1",
			},
			{
				id = 2,
				x = 370,
				y = 165,
				mobs = {0,1,2,1,0},
				boss = false,
				entrySound = "26944",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_1",
			},
			{
				id = 3,
				x = 370,
				y = 275,
				mobs = {0,2,3,1,0},
				boss = false,
				entrySound = "26944",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_1",
			},
			{
				id = 4,
				x = 240,
				y = 245,
				mobs = {1,2,3,2,1},
				boss = false,
				entrySound = "26944",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_1",
			},
			{
				id = 5,
				x = 310,
				y = 210,
				mobs = {1,3,4,3,2},
				boss = true,
				entrySound = "28349",
				looseSound = "28357",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_1",
			},
		},		
	},
	[2] = { id = 2,
		title = core.L["Cap'taine céleste Kragg"],
		icon = "Interface/AddOns/WoWChallenger/images/campaign/design_campaign/icon_zone2",
		bgCampaign = "Interface/AddOns/WoWChallenger/images/campaign/design_campaign/bgCampaign2",
		fights = {
			{
				id = 1,
				x = 150,
				y = 200,
				mobs = {21,21,27,21,21},
				boss = false,
				entrySound = "105228",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_2",
			},
			{
				id = 2,
				x = 200,
				y = 200,
				mobs = {20,26,20,21,20},
				boss = false,
				entrySound = "42266",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_2_2",
			},
			{
				id = 3,
				x = 250,
				y = 200,
				mobs = {20,24,23,22,21},
				boss = false,
				entrySound = "1039",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_2_3",
			},
			{
				id = 4,
				x = 300,
				y = 200,
				mobs = {24,22,24,22,24},
				boss = false,
				entrySound = "1306",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_2",
			},
			{
				id = 5,
				x = 350,
				y = 200,
				mobs = {27,23,26,23,27},
				boss = false,
				entrySound = "1300",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_2_2",
			},
			{
				id = 6,
				x = 400,
				y = 200,
				mobs = {0,27,28,29,0},
				entrySound = "6026",
				looseSound = "0",
				boss = true,
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_2_6",
			},
		},
	},
	[3] = { id = 3,
		title = core.L["Main-Noire"],
		icon = "Interface/AddOns/WoWChallenger/images/campaign/design_campaign/icon_zone3",
		bgCampaign = "Interface/AddOns/WoWChallenger/images/campaign/design_campaign/bgCampaign3",
		fights = {
			{
				id = 1,
				x = 150,
				y = 200,
				mobs = {0,5,9,5,0},
				boss = false,
				entrySound = "39970",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_3",
			},
			{
				id = 2,
				x = 200,
				y = 200,
				mobs = {10,8,10,8,10},
				boss = false,
				entrySound = "39970",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_3_2",
			},
			{
				id = 3,
				x = 250,
				y = 200,
				mobs = {10,7,9,7,8},
				boss = false,
				entrySound = "39970",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_3_3",
			},
			{
				id = 4,
				x = 300,
				y = 200,
				mobs = {10,5,12,5,7},
				boss = false,
				entrySound = "39970",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_3_4",
			},
			{
				id = 5,
				x = 350,
				y = 200,
				mobs = {5,12,9,12,5},
				boss = false,
				entrySound = "39970",
				looseSound = "0",
				winException = {0},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_3",
			},
			{
				id = 6,
				x = 400,
				y = 200,
				mobs = {0,0,13,0,0},
				entrySound = "45447",
				looseSound = "45439",
				boss = true,
				winException = {14, 19},
				backgroundLevel = "Interface/AddOns/WoWChallenger/images/campaign/bgFight_3_6",
			},
		},
	},
}
end
core.Loadcampaign = loadCampaign;